com.trilead.ssh2.packets

## Class PacketUserauthFailure

- java.lang.Object
- - com.trilead.ssh2.packets.PacketUserauthFailure

    public class PacketUserauthFailure
    extends java.lang.Object

PacketUserauthBanner.

### Constructor Summary

Constructors
Constructor and Description
`PacketUserauthFailure(byte[] payload, int off, int len)`
`PacketUserauthFailure(java.lang.String[] authThatCanContinue, boolean partialSuccess)`

### Method Summary

Methods
`java.lang.String[]` `getAuthThatCanContinue()`
`boolean` `isPartialSuccess()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketUserauthFailure

    public PacketUserauthFailure(java.lang.String[] authThatCanContinue,
                         boolean partialSuccess)

#### PacketUserauthFailure

    public PacketUserauthFailure(byte[] payload,
                         int off,
                         int len)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getAuthThatCanContinue

    public java.lang.String[] getAuthThatCanContinue()

#### isPartialSuccess

    public boolean isPartialSuccess()